building kernel - fedora 17: no success with insmod

Kevin Wilson wkevils at gmail.com
Mon Oct 1 17:05:21 UTC 2012


Hi,
Update:
I found a workaround:
adding
EXTRAVERSION = -5.fc17.x86_64
in the Makefile.

But shouldn't it be so when applying the src.rpm
without any change from me ?

rgs,
Kevin

On Mon, Oct 1, 2012 at 6:32 PM, Kevin Wilson <wkevils at gmail.com> wrote:
> Hello,
> I am running Fedora 17 on x86_64.
> I wanted to build bluetooth kernel module for f17 so I could use it under f17.
>
> I did this:
> download kernel-3.3.4-5.fc17.src.rpm.
> ran:
> rpm -ivh kernel-3.3.4-5.fc17.src.rpm
> rpmbuild -bp  /root/rpmbuild/SPECS/kernel.spec
> It went well.
>
> Then , I went to /root/rpmbuild/BUILD/kernel-3.3.fc17/linux-3.3.4-5.fc17.x86_64
> configure a kernel where CONFIG_BT=m (for bluetooth as a module) and ran
> "make  modules".
>
> However, when I try insmod for
> /root/rpmbuild/BUILD/kernel-3.3.fc17/linux-3.3.4-5.fc17.x86_64/net/bluetooth.ko
> I get
> "Invalid module format".
> dmesg shows:
> ...
>  bluetooth: version magic '3.3.4 SMP mod_unload ' should be
> '3.3.4-5.fc17.x86_64 SMP mod_unload '
> ...
>
> In the Makefile I have:
>
> VERSION = 3
> PATCHLEVEL = 3
> SUBLEVEL = 4
> EXTRAVERSION =
> NAME = Saber-toothed Squirrel
>
> but uname -r shows
> uname -r
> 3.3.4-5.fc17.x86_64
>
> where is the .4-5 came from ? could it be that applying this rpm has some
> error in that it does not set extraversion to .5 ?
>
> Any ideas?
>
> rgs,
> Kevin


More information about the devel mailing list